<section class="content-header">
  <div class="container-fluid">
    <div class="row mb-2">
      <div class="col-sm-6">
        <h1>Manage Region</h1>
      </div>
      <div class="col-sm-6">
        <ol class="breadcrumb float-sm-right">
          <li class="breadcrumb-item" style="color: dodgerblue"><a>Admin</a></li>
          <li class="breadcrumb-item active">Manage Region</li>
        </ol>
      </div>
    </div>
  </div><!-- /.container-fluid -->
</section>
<form role="form" (ngSubmit)="saveRegion(saveForm)" #saveForm="ngForm" style="margin-top: -20px">

  <div class="card card-primary">
    <div class="card-header">
      <h3 class="card-title">Add Region


      </h3>
      <button type="submit" class="btn btn-primary card-tools" ><i class="fas fa-plus"></i></button>
      <!--    <button type="button" class="btn btn-default card-tools" data-dismiss="modal" (click)="goToMissionList()">Close</button>-->


    </div>
    <!-- /.card-header -->
    <div class="card-body">
      <div class="row">
        <div class="form-group col-md-6">
          <label>Name</label>
          <input type="text" class="form-control primary" id="region" [(ngModel)]="region.name" [ngModelOptions]="{standalone: true} " placeholder="Name">
        </div>
        <div class="form-group col-md-6">
          <label>Country</label>
<!--          <input type="text" class="form-control primary" id="title" [(ngModel)]="country.name" [ngModelOptions]="{standalone: true} " placeholder="Name">-->
          <select class="form-control" id="country" [(ngModel)]="region.country" [ngModelOptions]="{standalone: true}">
            <option [disabled]="true" [selected]="true">Choose A Country</option>
            <option *ngFor="let c of Countries">{{c.name}}</option>

          </select>
        </div>

      </div>
      <div class="row">
        <div class="form-group col-md-12">
          <div class="table-responsive p-0" style="height: 328px;" >
            <table class="table table-head-fixed text-nowrap" style="align-content: center">
              <thead>
              <tr>
                <th>Region</th>
                <th>Country</th>

              </tr>
              </thead>

              <tbody>
              <tr *ngFor="let m of Regions">
                <td>{{m.name}}</td>
                <td>{{m.country}}</td>
              </tr>

              </tbody>

            </table>

          </div>

        </div>

      </div>




    </div>


  </div>
</form>


